Debian alert: New mailman packages fix bug introduced in DSA 436-1

Posted by dave on Feb 21, 2004 4:34 PM EDT
Mailing list
Mail this story
Print this story

Several vulnerabilities have been fixed in the mailman package.


- -------------------------------------------------------------------------- Debian Security Advisory DSA 436-2 [] Matt Zimmerman February 21st, 2004 - --------------------------------------------------------------------------

Package : mailman Vulnerability : several Problem-Type : remote Debian-specific: no CVE Ids : CAN-2003-0991 CAN-2003-0965 CAN-2003-0038

Several vulnerabilities have been fixed in the mailman package:

- CAN-2003-0038 - potential cross-site scripting via certain CGI parameters (not known to be exploitable in this version)

- CAN-2003-0965 - cross-site scripting in the administrative interface

- CAN-2003-0991 - certain malformed email commands could cause the mailman process to crash

The cross-site scripting vulnerabilities could allow an attacker to perform administrative operations without authorization, by stealing a session cookie.

In the process of fixing these vulnerabilities for DSA 436-1, a bug was introduced which could cause mailman to crash on certain malformed messages.

For the current stable distribution (woody) this problem has been fixed in version 2.0.11-1woody8.

The update for the unstable distribution did not share the bug introduced in DSA 436-1.

We recommend that you update your mailman package.

Upgrade Instructions - --------------------

wget url will fetch the file for you dpkg -i file.deb will install the referenced file.

If you are using the apt-get package manager, use the line for sources.list as given below:

apt-get update will update the internal database apt-get upgrade will install corrected packages

You may use an automated update by adding the resources from the footer to the proper configuration.

Debian GNU/Linux 3.0 alias woody - --------------------------------

Source archives: Size/MD5 checksum: 595 bef710bf0b5805d0946473c19ac42bbc Size/MD5 checksum: 31818 1f5fae277367b06965b2dc3d38fac895 Size/MD5 checksum: 415129 915264cb1ac8d7b78ea9eff3ba38ee04

Alpha architecture: Size/MD5 checksum: 461284 ea9daf95ebb6f6c15b64d93fc6a75dae

ARM architecture: Size/MD5 checksum: 458966 89dc55b67c3f7b6156dfb93eeab2a209

Intel IA-32 architecture: Size/MD5 checksum: 458964 63db95b7687b1b8f6a222b49dde4e584

Intel IA-64 architecture: Size/MD5 checksum: 461790 d651a19c06cba8ef5b12845df0cdf386

HP Precision architecture: Size/MD5 checksum: 459512 afddeae9eff5820d7de74ad6a6753d16

Motorola 680x0 architecture: Size/MD5 checksum: 459102 8266eaefb8e56631b3761e30e6bb3095

Big endian MIPS architecture: Size/MD5 checksum: 459502 9896dbddb5704e7ecf6de3524ab6d225

Little endian MIPS architecture: Size/MD5 checksum: 459336 a091672c96a16bfc42d807b4a2a99a11

PowerPC architecture: Size/MD5 checksum: 459788 4ef14c3ee4845e039f1143e897f42c12

IBM S/390 architecture: Size/MD5 checksum: 459790 b17c89f584242c502ff6b9ddac43814d

Sun Sparc architecture: Size/MD5 checksum: 464280 27935cf8280a793d24fe8ea188f77de4

These files will probably be moved into the stable distribution on its next revision.

- --------------------------------------------------------------------------------- For apt-get: deb stable/updates main For dpkg-ftp: dists/stable/updates/main Mailing list: [] Package info: 'apt-cache show ' and -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAN+LaArxCt0PiXR4RAr4tAJ9b6u4rcxBpm67FIfCVVxF1PHmDVgCghfST gZeZw3WZTRbc9iZwIqe1hiE= =Y0M7 -----END PGP SIGNATURE-----

-- To UNSUBSCRIBE, email to [] with a subject of "unsubscribe". Trouble? Contact []

» Read more about: Story Type: Security; Groups: Debian

« Return to the newswire homepage

This topic does not have any threads posted yet!

You cannot post until you login.